API Reference
Batch delete timeline items.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/string/timeline/batch-delete" \ -H "Content-Type: application/json" \ -d '{ "timeline_item_ids": [ "string" ] }'{ "success": true, "deleted_count": 0, "failed_count": 0, "deleted_items": [ { "id": "string", "name": "string", "type": "string" } ], "failed_items": [ { "timeline_item_id": "string", "error": "string", "error_code": "validation_error", "retryable": true, "error_details": { "property1": "string", "property2": "string" } } ], "captions_removed": 0, "packed": true, "clips_shifted": 0, "message": "string"}Schedule Instagram publish POST
Schedule a completed project export for Instagram. MP4/MOV exports publish as Reels; ZIP carousel exports with JPEG slides publish as carousel posts. Trial mode is only applied to Reels. Optional include_affiliate_cta appends a Try BlitzReels for free line plus the actor's Affonso tracking URL (or affiliate_tracking_url override).
Batch move timeline items POST
Batch move timeline items.